package com.chinalife.contract.entity;

import com.chinalife.spec.entity.InternalFixedActualEO;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/** 保单基本信息表 */
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PLC_BASIC")
public class PlcBasicEO extends InternalFixedActualEO {
    /**
     * @Fields serialVersionUID
     */
    private static final long serialVersionUID = 8850429766796435237L;
    /** 投保人代码 */
    private String applicantCode;
    /** 投保人名称 */
    private String applicantName;
    /** 被保险人代码 */
    private String insurantCode;
    /** 被保险人名称 */
    private String insurantName;
    /** 打印类型 */
    private String visaPrintType;
    /** 单证流水号 */
    private String visaSerialNo;
    /** 交强险标志流水号 */
    private String visaSerialNoSign;
    /** 单证类型代码 */
    private String visaCode;
    /** 单证类型名称 */
    private String visaName;
    /** 创建员代码 */
    private String createUserId;
    /** 修改员代码 */
    private String updateUserId;
    /** 创建时间 */
    private Date createDate;
    /** 修改时间 */
    private Date updateDate;
    /** 机构ID */
    private String structureId;
    /** 所属人ID */
    private String ownerUserId;
    /** 投保人等级代码 */
    private String applicantGradeCode;
    /** 投保人等级 */
    private String applicantGrade;
    /** 被保险人等级代码 */
    private String insurantGradeCode;
    /** 被保险人等级 */
    private String insurantGrade;
    /** 车牌号码 */
    private String licensePlateNo;
    /** 港澳车牌号码 */
    private String hklicenseno;
    /** 被保险人证件类型代码 */
    private String insurantIdentifyType;
    /** 被保险人证件类型 */
    private String insurantIdentifyName;
    /** 被保险人证件号码 */
    private String insurantIdentifyNumber;
    /** 合同号码 */
    private String contractNo;
    /** 车主 */
    private String owner;
    /** VIN码 */
    private String vinNo;
    /** 引擎台数 */
    private String engineNo;
    /** 关系人类型 */
    private String customerType;
    /** 销售费用比例 */
    private BigDecimal saleFeeRate;
    /** 绩效比例 */
    private BigDecimal performanceRate;
    /** 立项名称 */
    private String nameOfBusiness;
    /** 实际归集标志(跟单) */
    private String summarizeFlag;
    /** 资信调查员 */
    private String creditInvestigator;
    /** 协议子单申报类型 */
    private String seedDeclareType;
    /** 投保人证件号码 */
    private String appIdentifyNumber;

    /** 政策/商业标志代码 */
    private String businessFlagCode;
    /** 政策/商业标志名称 */
    private String businFlagName;
    /** 计算方式 */
    private String calculateMode;
    /** 以实际货主为准 */
    private String actualShipperFlag;
    /** 是否使用货品自动分类 */
    private String classifyFlag;
    /** 保险责任起效日期 */
    private Date responsibilityStartDate;
    /** 追溯期起期 */
    private Date startKwardDate;
    /** 追溯期止期 */
    private Date entKwardDate;
    /** 承保数量单位名称 */
    private String itemNumberUnitName;
    /** 承保数量单位代码 */
    private String itemNumberUnit;
    /** 承保数量 */
    private BigDecimal itemNumber;
    /** 发动机号 */
    private String engineNumber;

    /** 车辆种类代码 */
    private String carKindCode;
    /** 车辆种类名称 */
    private String carKindName;
    /** 使用性质代码 */
    private String carUserNatureCode;
    /** 车辆使用性质名称 */
    private String carUserNature;
    /** 座位数 */
    private BigDecimal seatcount;
    /** 载重量 */
    private BigDecimal vehicleTonnage;
    /** 厂牌型号 */
    private String carBrand;
    /** 厂牌型号编码 */
    private String carBrandCode;
    /** 能源种类代码 */
    private String energyTypesCode;
    /** 能源种类名称 */
    private String energyTypes;
    /** 使用年限 */
    private BigDecimal useyears;
    /** 是否过户车辆 */
    private String chgownerflag;
    /** 是否车贷投保多年 */
    private String loanvehicleflag;
    /** 外地车标志 */
    private String foreignCarFlag;
    /** 二手车标志 */
    private String secondhandcarflag;
    /** 整备质量 */
    private BigDecimal vehicleQuality;
    /** 合计滞纳金 */
    private BigDecimal sumTax;

    /** 车主证件类型代码 */
    private String carOwnerIdentifyType;
    /** 车主证件类型 */
    private String carOwnerIdentifyName;
    /** 车主证件号码 */
    private String carOwnerIdentifyNumber;

    /** 车船税合计金额 */
    private BigDecimal totalAmount;
    /** 融资标识代码 */
    private String financingLogoCode;
    /** 融资标识名称 */
    private String financingLogo;
    /** 融资金额 */
    private BigDecimal financingAmount;
    /** 公示起期 */
    private Date inspectionStartDate;
    /** 公示止期 */
    private Date inspectionEndDate;
    /** 公示天数 */
    private Integer inspectionDay;
    /** 是否发送短信 */
    private String sendMessageFlag;
    /** 单证确认码 */
    private String policyAffirmNo;
    /** 电子单证下载链接 */
    private String electronPolicyDownload;
    /** 投保告知业务号 */
    private String informNumber;
    /** 投保验证码 */
    private String insureValidateDto;
    /** 公示编码 */
    private String publicityNumber;
    /** 条款已阅标志 */
    private String readClauseFlag;
    /** 投保验证码验证状态 */
    private String insureValidateStatus;
    /** 审批单唯一id */
    private String approveId;
    /** 审批单名称 */
    private String approveName;
    /** 审批单文号 */
    private String approveMark;
    /** 审批单URL */
    private String approveUrl;
    /** 资信调查员 */
    private String creditInvestigators;
    /** 档案编号 */
    private String fileManagerNo;
    /** 档案编号名称 */
    private String fileManagerName;
    /** 保单档案状态 */
    private String fileManagerStatus;
    /** 保单档案状态名称 */
    private String fileManagerStatusName;
    /** 档案审核状态 */
    private String fileManagerApproveStatus;
    /** 档案审核状态名称 */
    private String fileManagerApproveStatusName;
    /** 是否贫困户 */
    private String ispoor;
    /** 林木用途代码 */
    private String treePurpose;
    /** 林木用途名称 */
    private String treePurposeName;
    /** 是否存在疾病观察期 */
    private String isNeedObserveDate;
    /** 观察起期 */
    private Date observeStartDate;
    /** 观察止期 */
    private Date observeEndDate;
    /** 观察天数 */
    private Integer observeDays;
    /** 预计施工起期 */
    private Date constructionStartDate;
    /** 预计施工止期 */
    private Date constructionEndDate;
    /** 农户清单来源代码 */
    private String farmersListSource;
    /** 农户清单来源名称 */
    private String farmersListSourceName;
    /** 烟叶类型代码 */
    private String tobaccoType;
    /** 烟叶类型名称 */
    private String tobaccoTypeName;
    /** 责任触发点 */
    private String clauseTrigger;
    /** 数据采集依据 */
    private String dataGatherGist;
    /** 投保组织者 */
    private String insurantOrganizer;
    /** 周期数 */
    private Integer periodicity;
    /** 签单币含税退保手续费 */
    private BigDecimal sigCurSurrenderAgent;
    /** 签单币不含税退保手续费 */
    private BigDecimal sigCurNetSurrenderAgent;
    /** 签单币退保手续费税额 */
    private BigDecimal sigCurSurrenderAgentTaxFee;
    /** 本位币含税退保手续费 */
    private BigDecimal staCurSurrenderAgent;
    /** 本位币不含税退保手续费 */
    private BigDecimal staCurNetSurrenderAgent;
    /** 本位币退保手续费税额 */
    private BigDecimal staCurSurrenderAgentTaxFee;
    /** 非见费出单确认状态 */
    private String notSeeFeeConfirmStatus;
    /** 确认人代码 */
    private String confirmPeople;
    /** 确认人名称 */
    private String confirmPeopleName;
    /** 扩展报告期标志 */
    private String extendReportFlag;
    /** 扩展报告期起期 */
    private Date extendReportStartDate;
    /** 扩展报告期止起 */
    private Date extendReportEndDate;
    /** 原币含税退保手续费 */
    private BigDecimal oriCurSurrenderAgent;
    /** 原币不含税退保手续费 */
    private BigDecimal oriCurNetSurrenderAgent;
    /** 原币退保手续费税额 */
    private BigDecimal oriCurSurrenderAgentTaxFee;
    /** 批单打印流水号 */
    private String endorseVisaSerialNo;
    /** 风勘号 */
    private String riskSurveyNo;
    /** 是否需要风勘 */
    private String riskSurveyFlag;
    /** 预约保单批改类型 */
    private String endorPolicyType;
    /** 自动稽核 */
    private String autoSampling;
    /** 人工稽核 */
    private String artiSampling;
    /** 人工稽核意见 */
    private String artiSamplingTxt;
    /** 保单起保时间 */
    private Date startTime;
    /** 保单终保时间 */
    private Date endTime;
    /** 平台报价单号 */
    private String platformQuoteNo;

    /** 一揽子业务类型代码 */
    private String businessPackageTypeCode;
    /** 一揽子业务类型名称 */
    private String businessPackageTypeName;
    /** 一揽子业务号 */
    private String businessPackageNo;
    /** 是否首张保单 */
    private String firstPolicyCode;
    /** 是否首张保单名称 */
    private String firstPolicyName;
    /** 重客标识 */
    private String emphasisFlag;
    /** 重客代码 */
    private String focusCode;
    /** 重客类型 */
    private String focusCodeName ;
    /** 推荐业务标志 */
    private String recommendBusinessFlag ;
    /** 推荐业务代码 */
    private String recommendBusinessCode ;
    /** 推荐业务代码名称 */
    private String recommendBusinessCodeName ;
    /** 暂保单天数 */
    private Integer coverNoteEffectDay;
    /** 标的汇总备用字段 */
    private BigDecimal subjectRemarksTotal;
    /** 救助基金比例(北京专用) */
    private BigDecimal fundRateBJ;
    /** 救助基金金额(北京专用) */
    private BigDecimal fundAmountBJ;
    /** 一揽子业务标识 */
    private String packageBusinessFlag ;
    /** 其他推荐业务代码 */
    private String otherRecommendBusinessCode ;
    /** 其他推荐业务代码名称 */
    private String otherRecommendBusinessCodeName ;
    /** 黑名单信息 */
    private String  blacklistMsg ;
    /** 项目名称 */
    private String projectName;
    /** 项目编号 */
    private String projectId;
    /** 是否大额交易标识 */
    private String blockTradeFlag;
    /** 代刷卡缴费账号  */
    private String paymentAccount;
    /** 缴费户名 */
    private String paymentAccountName;
    /** 开户行 */
    private String openingBank;
    
    /** 林业主体类型代码 */
    private String forestryBodyTypeCode;
   
    /** 林业主体类型名称 */
    private String forestryBodyTypeName;
    /** 是否兵团业务码值 */
    private String corpsBusinessFlagCode;
    /** 是否兵团业务名称 */
    private String corpsBusinessFlagName;
    
    /** 是否降低费率*/
    private String isRateCutting;
    /** 提否提高保额*/
    private String upIncrease;
    /** 是否涉及三区三州*/
    private String isRegionalStates;
    /** 是否扶贫名*/
    private String ispoorName;
    /** 是否降低费率名*/
    private String isRateCuttingName;
    /** 提否提高保额名*/
    private String upIncreaseName;
    /** 是否涉及三区三州名*/
    private String isRegionalStatesName;
    /** 投保单关联项目的版本 */
    private String policyJoinProjectVersion;
    /** 是否支持新冠肺炎疫情 */
    private String newPneumoniaFlag ;
    /** 新冠肺炎疫情业务类型 */
    private String pneumoniaBusType ;
    /** 新冠肺炎疫情业务类型代码 */
    private String pneumoniaBusTypeCode ;
    /** 是否特种车 */
    private String specialVehicleFlag;
    /** 组合产品标志 */
    private String comProductFlag;
    /** 承保天数 */
    private BigDecimal totalDayCount;
    
    /** 渠道清分的取数顺序值 */
    private String channelOrder;
    /** 渠道清分的取数原因描述 */
    private String channelReason;
    /** 保单签发国家 */
    private String policyIssuingCountry;
    /** 理赔币种*/
    private String claimCurrency;
    /** 理赔币种代码*/
    private String claimCurrencyCode;
    /** 整单免赔额*/
    private BigDecimal deductibleAll;
    /** 是否核对*/
    private String checkFlagHK;
    /** 核对日期*/
    private Date checkDateHK;
    /** 核对止期*/
    private Date checkEndDateHK;
    /** 上张保单承保地区*/
    private String lastInsurerArea;
    /** 是否固定投保人信息*/
    private String fixedCode;
    /** 归集业务标志*/
    private String colBusinessFlag;
    /** 验证标记 */
    private String proofFlag;
    /**祝福卡标记*/
    private String zfCardFlag;
    /** 项目是否位于贫困地区 */
    private String locatedInPoorAreas;
    /** 项目是否位于三区三州 */
    private String locatedInTDATS;
    /** 项目是否是新农村 */
    private String whetherNRRM;
    /**撤单时间*/
    private Date withdrawTime;
    /**车险远程出单标识*/
    private String remoteBusinessFlag;
    /** 项目累计风险余额 */
    private BigDecimal riskBalanceAmount;
    /** 延保项目名称*/
    private String warrProjectName;
    /**财务SAP码*/
    private String sapCode;
    /** 警保标志*/
    private String policeConfirmedFlag;    
    /** 保险卡号*/
    private String certiNo;
    /** 打折比例*/
    private BigDecimal reducedRate ;
    
    /**医保中心订单流水号*/
    private String medicalOrderSn;
    /**医保中心名称*/
    private String medOrgName;
    /**支付方式*/
    private String paymentType;
    /**支付方式名称*/
    private String paymentTypeName;
    
    /**保单打印员ID*/
    private String policyVisaPrintCode;
    /**保单打印员名字*/
    private String policyVisaPrintName;
    /**批单打印员ID*/
    private String endorseVisaPrintCode;
    /**批单打印员名字*/
    private String endorseVisaPrintName;
    /** 电子批改确认 */
    private String endorseForm;
    /** 电子批改确认名称 */
    private String endorseFormName;
    /** 初登日期 */
    private Date enrollDate;
    /** 中国农再投保单ID  */
    private String agroReId;
    /** 中国农再投保确认码  */
    private String confirmSequenceNo;
    
    /** 政保项目编码 */
    private String zbProjectCode;
    /** 政保项目名称 */
    private String zbProjectName;
    /** 政保项目属性代码 */
    private String proAttCode;
    /** 政保项目属性名称 */
    private String proAttName;
    /** 政保项目级别代码 */
    private String proLevelCode;
    /** 政保项目级别名称 */
    private String proLevelName;
    /** 政保项目标志 */
    private String zbProjectFlag;
    /** 搭售业务标识*/
    private String carTyingType;
    /** 组合产品号 */
    private String combinationNo;
    /** 数据库标识：oracle或者tidb*/
    private String dataBaseFlag;
    /** 复制单号类型*/
    private String dupDocumentType;
    /** 复制业务单号*/
    private String businessCopyNum;
    /** 银保渠道专业化保费标识 */
    private String bancassuranceFlag;
    /** 保险分类 */
    private String insuranceType;
    /** 保险分类代码 */
    private String insuranceTypeCode;
    /** 组合方案号 */
    private String schemeNo;
    /** 组合方案名称 */
    private String schemeName;
    /** 是否为国际业务 */
    private String internationalFlag;

    /** 投/保单打印抬头 */
    private String policyPrintTitle;

    /**绑定车险客户标识*/
    private String bindingCarInsuranceFlag;
    /** 保险费缴纳方式*/
    private String insurancePayMethod;
    /** 每月保险费缴纳方式*/
    private String monthlyPremiumpayMethod;
    /** 违约金率*/
    private BigDecimal penaltyRate;
    /** 理赔后违约金宽限日期*/
    private String claimsDieGratiae;
    /** 是否倒签单,0-否，1-是 */
    private String reverseSign;
    /** 出单指示编号*/
    private String shipMentCodeNo;

    /** 多票累计自留*/
    private String multRecordsRetention;

    /** 移动出单人手机号*/
    private String mobileBusinessPhoneNo;

    /** 军车标志代码 */
    private String nonMilitaryVehiclesCode;
    /** 军车标志名称 */
    private String nonMilitaryVehiclesName;

    /** 个单是否上传清单0否,1是 */
    private String upSingleFlag;
    
    /** 是否为服务乡村振兴业务 */
    private String serviceCountryPromoteFlag;

    /** 报价ID */
    private String calculateId;

    /** 保险起期批改标识代码 */
    private String endorseStartTimeCode;
    /** 保险起期批改标识 */
    private String endorseStartTimeName;
    
    /** 非同时投保关联单标志 */
    private String isLinkPolicy;

    /** 保险产量 */
    private BigDecimal insuranceProduction;
    /** 保险产量单位代码*/
    protected String insuranceProductionUnit;
    /** 保险产量单位名称*/
    protected String insuranceProductionUnitName;
    /** 目标价格 */
    private BigDecimal targetPrice;
    /** 目标价格单位代码*/
    protected String targetPriceUnit;
    /** 目标价格单位名称*/
    protected String targetPriceUnitName;

    /** 出单场景类型代码 */
    private String sceneTypeCode;
    /** 出单场景类型 */
    private String sceneTypeName;
    /** 保单类型 */
    private String policyType;
    /** 保单类型名称 */
    private String policyTypeName;
    /** 互联网业务标识 */
    private String interFlag;
    /** 团个单标识 */
    private String singleGroupFlag;
    /** 保险期限类型 */
    private String periodFlag;
    /** 手续费录入方式 */
    private String agentIncludeWay;
    /** 手续费录入方式名称 */
    private String agentIncludeWayName;
    /** 保险期限类型名称 */
    private String periodFlagName;
    /** 新市民标识 0否，1是 */
    private String newCitzenFlag;


    /** 团车标志ID */
    private String groupCarCode;
    
    /** 团车评分 */
    private String groupGrade;


    public String getGroupCarCode() {
        return groupCarCode;
    }

    public void setGroupCarCode(String groupCarCode) {
        this.groupCarCode = groupCarCode;
    }

    public String getGroupGrade() {
        return groupGrade;
    }

    public void setGroupGrade(String groupGrade) {
        this.groupGrade = groupGrade;
    }

    public String getNewCitzenFlag() {
        return newCitzenFlag;
    }

    public void setNewCitzenFlag(String newCitzenFlag) {
        this.newCitzenFlag = newCitzenFlag;
    }


    public String getPeriodFlagName() {
        return periodFlagName;
    }

    public void setPeriodFlagName(String periodFlagName) {
        this.periodFlagName = periodFlagName;
    }

    public String getSceneTypeCode() {
        return sceneTypeCode;
    }

    public void setSceneTypeCode(String sceneTypeCode) {
        this.sceneTypeCode = sceneTypeCode;
    }

    public String getSceneTypeName() {
        return sceneTypeName;
    }

    public void setSceneTypeName(String sceneTypeName) {
        this.sceneTypeName = sceneTypeName;
    }

    public String getPolicyType() {
        return policyType;
    }

    public void setPolicyType(String policyType) {
        this.policyType = policyType;
    }

    public String getPolicyTypeName() {
        return policyTypeName;
    }

    public void setPolicyTypeName(String policyTypeName) {
        this.policyTypeName = policyTypeName;
    }

    public String getInterFlag() {
        return interFlag;
    }

    public void setInterFlag(String interFlag) {
        this.interFlag = interFlag;
    }

    public String getSingleGroupFlag() {
        return singleGroupFlag;
    }

    public void setSingleGroupFlag(String singleGroupFlag) {
        this.singleGroupFlag = singleGroupFlag;
    }

    public String getPeriodFlag() {
        return periodFlag;
    }

    public void setPeriodFlag(String periodFlag) {
        this.periodFlag = periodFlag;
    }

    public String getAgentIncludeWay() {
        return agentIncludeWay;
    }

    public void setAgentIncludeWay(String agentIncludeWay) {
        this.agentIncludeWay = agentIncludeWay;
    }

    public String getAgentIncludeWayName() {
        return agentIncludeWayName;
    }

    public void setAgentIncludeWayName(String agentIncludeWayName) {
        this.agentIncludeWayName = agentIncludeWayName;
    }

    public String getCalculateId() {
        return calculateId;
    }

    public void setCalculateId(String calculateId) {
        this.calculateId = calculateId;
    }

    public String getNonMilitaryVehiclesCode() {
        return nonMilitaryVehiclesCode;
    }

    public void setNonMilitaryVehiclesCode(String nonMilitaryVehiclesCode) {
        this.nonMilitaryVehiclesCode = nonMilitaryVehiclesCode;
    }

    public String getNonMilitaryVehiclesName() {
        return nonMilitaryVehiclesName;
    }

    public void setNonMilitaryVehiclesName(String nonMilitaryVehiclesName) {
        this.nonMilitaryVehiclesName = nonMilitaryVehiclesName;
    }

    public String getMultRecordsRetention() {
        return multRecordsRetention;
    }

    public void setMultRecordsRetention(String multRecordsRetention) {
        this.multRecordsRetention = multRecordsRetention;
    }
 
    public String getReverseSign() {
        return reverseSign;
    }

    public void setReverseSign(String reverseSign) {
        this.reverseSign = reverseSign;
    }

    public String getPolicyPrintTitle() {
        return policyPrintTitle;
    }

    public void setPolicyPrintTitle(String policyPrintTitle) {
        this.policyPrintTitle = policyPrintTitle;
    }

    public String getInsuranceType() {
        return insuranceType;
    }

    public void setInsuranceType(String insuranceType) {
        this.insuranceType = insuranceType;
    }

    public String getInsuranceTypeCode() {
        return insuranceTypeCode;
    }

    public void setInsuranceTypeCode(String insuranceTypeCode) {
        this.insuranceTypeCode = insuranceTypeCode;
    }

    public String getCarTyingType() {
        return carTyingType;
    }

    public void setCarTyingType(String carTyingType) {
        this.carTyingType = carTyingType;
    }

    public String getSapCode() {
        return sapCode;
    }

    public void setSapCode(String sapCode) {
        this.sapCode = sapCode;
    }

    public String getWarrProjectName() {
        return warrProjectName;
    }

    public void setWarrProjectName(String warrProjectName) {
        this.warrProjectName = warrProjectName;
    }

    public String getLocatedInPoorAreas() {
        return locatedInPoorAreas;
    }

    public void setLocatedInPoorAreas(String locatedInPoorAreas) {
        this.locatedInPoorAreas = locatedInPoorAreas;
    }

    public String getLocatedInTDATS() {
        return locatedInTDATS;
    }

    public void setLocatedInTDATS(String locatedInTDATS) {
        this.locatedInTDATS = locatedInTDATS;
    }

    public String getWhetherNRRM() {
        return whetherNRRM;
    }

    public void setWhetherNRRM(String whetherNRRM) {
        this.whetherNRRM = whetherNRRM;
    }

    public String getZfCardFlag() {
        return zfCardFlag;
    }

    public void setZfCardFlag(String zfCardFlag) {
        this.zfCardFlag = zfCardFlag;
    }

    public String getProofFlag() {
        return proofFlag;
    }

    public void setProofFlag(String proofFlag) {
        this.proofFlag = proofFlag;
    }

    public String getColBusinessFlag() {
        return colBusinessFlag;
    }

    public void setColBusinessFlag(String colBusinessFlag) {
        this.colBusinessFlag = colBusinessFlag;
    }

    public String getCheckFlagHK() {
        return checkFlagHK;
    }

    public void setCheckFlagHK(String checkFlagHK) {
        this.checkFlagHK = checkFlagHK;
    }

    public Date getCheckDateHK() {
        return checkDateHK;
    }

    public void setCheckDateHK(Date checkDateHK) {
        this.checkDateHK = checkDateHK;
    }

    public Date getCheckEndDateHK() {
        return checkEndDateHK;
    }

    public void setCheckEndDateHK(Date checkEndDateHK) {
        this.checkEndDateHK = checkEndDateHK;
    }

    public String getClaimCurrencyCode() {
        return claimCurrencyCode;
    }

    public void setClaimCurrencyCode(String claimCurrencyCode) {
        this.claimCurrencyCode = claimCurrencyCode;
    }
    
    public BigDecimal getDeductibleAll() {
        return deductibleAll;
    }

    public void setDeductibleAll(BigDecimal deductibleAll) {
        this.deductibleAll = deductibleAll;
    }

    public String getPolicyIssuingCountry() {
        return policyIssuingCountry;
    }

    public void setPolicyIssuingCountry(String policyIssuingCountry) {
        this.policyIssuingCountry = policyIssuingCountry;
    }

    public String getClaimCurrency() {
        return claimCurrency;
    }

    public void setClaimCurrency(String claimCurrency) {
        this.claimCurrency = claimCurrency;
    }

    public String getChannelOrder() {
        return channelOrder;
    }

    public void setChannelOrder(String channelOrder) {
        this.channelOrder = channelOrder;
    }

    public String getChannelReason() {
        return channelReason;
    }

    public void setChannelReason(String channelReason) {
        this.channelReason = channelReason;
    }

    public String getRiskSurveyFlag() {
        return riskSurveyFlag;
    }

    public void setRiskSurveyFlag(String riskSurveyFlag) {
        this.riskSurveyFlag = riskSurveyFlag;
    }

    public BigDecimal getTotalDayCount() {
        return totalDayCount;
    }

    public void setTotalDayCount(BigDecimal totalDayCount) {
        this.totalDayCount = totalDayCount;
    }

    public String getComProductFlag() {
        return comProductFlag;
    }

    public void setComProductFlag(String comProductFlag) {
        this.comProductFlag = comProductFlag;
    }

    public String getSpecialVehicleFlag() {
        return specialVehicleFlag;
    }

    public void setSpecialVehicleFlag(String specialVehicleFlag) {
        this.specialVehicleFlag = specialVehicleFlag;
    }

    public String getNewPneumoniaFlag() {
        return newPneumoniaFlag;
    }

    public void setNewPneumoniaFlag(String newPneumoniaFlag) {
        this.newPneumoniaFlag = newPneumoniaFlag;
    }

    public String getPneumoniaBusType() {
        return pneumoniaBusType;
    }

    public void setPneumoniaBusType(String pneumoniaBusType) {
        this.pneumoniaBusType = pneumoniaBusType;
    }

    public String getPneumoniaBusTypeCode() {
        return pneumoniaBusTypeCode;
    }

    public void setPneumoniaBusTypeCode(String pneumoniaBusTypeCode) {
        this.pneumoniaBusTypeCode = pneumoniaBusTypeCode;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getBlacklistMsg() {
        return blacklistMsg;
    }

    public void setBlacklistMsg(String blacklistMsg) {
        this.blacklistMsg = blacklistMsg;
    }

    public String getPlatformQuoteNo() {
        return platformQuoteNo;
    }

    public void setPlatformQuoteNo(String platformQuoteNo) {
        this.platformQuoteNo = platformQuoteNo;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getEndorPolicyType() {
        return endorPolicyType;
    }

    public void setEndorPolicyType(String endorPolicyType) {
        this.endorPolicyType = endorPolicyType;
    }

    public String getRiskSurveyNo() {
        return riskSurveyNo;
    }

    public void setRiskSurveyNo(String riskSurveyNo) {
        this.riskSurveyNo = riskSurveyNo;
    }

    public BigDecimal getOriCurSurrenderAgent() {
        return oriCurSurrenderAgent;
    }

    public void setOriCurSurrenderAgent(BigDecimal oriCurSurrenderAgent) {
        this.oriCurSurrenderAgent = oriCurSurrenderAgent;
    }

    public BigDecimal getOriCurNetSurrenderAgent() {
        return oriCurNetSurrenderAgent;
    }

    public void setOriCurNetSurrenderAgent(BigDecimal oriCurNetSurrenderAgent) {
        this.oriCurNetSurrenderAgent = oriCurNetSurrenderAgent;
    }

    public BigDecimal getOriCurSurrenderAgentTaxFee() {
        return oriCurSurrenderAgentTaxFee;
    }

    public void setOriCurSurrenderAgentTaxFee(BigDecimal oriCurSurrenderAgentTaxFee) {
        this.oriCurSurrenderAgentTaxFee = oriCurSurrenderAgentTaxFee;
    }

    public String getExtendReportFlag() {
        return extendReportFlag;
    }

    public void setExtendReportFlag(String extendReportFlag) {
        this.extendReportFlag = extendReportFlag;
    }

    public Date getExtendReportStartDate() {
        return extendReportStartDate;
    }

    public void setExtendReportStartDate(Date extendReportStartDate) {
        this.extendReportStartDate = extendReportStartDate;
    }

    public Date getExtendReportEndDate() {
        return extendReportEndDate;
    }

    public void setExtendReportEndDate(Date extendReportEndDate) {
        this.extendReportEndDate = extendReportEndDate;
    }

    public BigDecimal getSigCurSurrenderAgent() {
        return sigCurSurrenderAgent;
    }

    public void setSigCurSurrenderAgent(BigDecimal sigCurSurrenderAgent) {
        this.sigCurSurrenderAgent = sigCurSurrenderAgent;
    }

    public BigDecimal getSigCurNetSurrenderAgent() {
        return sigCurNetSurrenderAgent;
    }

    public void setSigCurNetSurrenderAgent(BigDecimal sigCurNetSurrenderAgent) {
        this.sigCurNetSurrenderAgent = sigCurNetSurrenderAgent;
    }

    public BigDecimal getSigCurSurrenderAgentTaxFee() {
        return sigCurSurrenderAgentTaxFee;
    }

    public void setSigCurSurrenderAgentTaxFee(BigDecimal sigCurSurrenderAgentTaxFee) {
        this.sigCurSurrenderAgentTaxFee = sigCurSurrenderAgentTaxFee;
    }

    public BigDecimal getStaCurSurrenderAgent() {
        return staCurSurrenderAgent;
    }

    public void setStaCurSurrenderAgent(BigDecimal staCurSurrenderAgent) {
        this.staCurSurrenderAgent = staCurSurrenderAgent;
    }

    public BigDecimal getStaCurNetSurrenderAgent() {
        return staCurNetSurrenderAgent;
    }

    public void setStaCurNetSurrenderAgent(BigDecimal staCurNetSurrenderAgent) {
        this.staCurNetSurrenderAgent = staCurNetSurrenderAgent;
    }

    public BigDecimal getStaCurSurrenderAgentTaxFee() {
        return staCurSurrenderAgentTaxFee;
    }

    public void setStaCurSurrenderAgentTaxFee(BigDecimal staCurSurrenderAgentTaxFee) {
        this.staCurSurrenderAgentTaxFee = staCurSurrenderAgentTaxFee;
    }

    public String getNotSeeFeeConfirmStatus() {
        return notSeeFeeConfirmStatus;
    }

    public void setNotSeeFeeConfirmStatus(String notSeeFeeConfirmStatus) {
        this.notSeeFeeConfirmStatus = notSeeFeeConfirmStatus;
    }

    public String getConfirmPeople() {
        return confirmPeople;
    }

    public void setConfirmPeople(String confirmPeople) {
        this.confirmPeople = confirmPeople;
    }

    public String getConfirmPeopleName() {
        return confirmPeopleName;
    }

    public void setConfirmPeopleName(String confirmPeopleName) {
        this.confirmPeopleName = confirmPeopleName;
    }

    public String getClauseTrigger() {
        return clauseTrigger;
    }

    public void setClauseTrigger(String clauseTrigger) {
        this.clauseTrigger = clauseTrigger;
    }

    public String getDataGatherGist() {
        return dataGatherGist;
    }

    public void setDataGatherGist(String dataGatherGist) {
        this.dataGatherGist = dataGatherGist;
    }

    public String getInsurantOrganizer() {
        return insurantOrganizer;
    }

    public void setInsurantOrganizer(String insurantOrganizer) {
        this.insurantOrganizer = insurantOrganizer;
    }

    public Integer getPeriodicity() {
        return periodicity;
    }

    public void setPeriodicity(Integer periodicity) {
        this.periodicity = periodicity;
    }

    public String getFarmersListSource() {
        return farmersListSource;
    }

    public void setFarmersListSource(String farmersListSource) {
        this.farmersListSource = farmersListSource;
    }

    public String getFarmersListSourceName() {
        return farmersListSourceName;
    }

    public void setFarmersListSourceName(String farmersListSourceName) {
        this.farmersListSourceName = farmersListSourceName;
    }

    public String getTobaccoType() {
        return tobaccoType;
    }

    public void setTobaccoType(String tobaccoType) {
        this.tobaccoType = tobaccoType;
    }

    public String getTobaccoTypeName() {
        return tobaccoTypeName;
    }

    public void setTobaccoTypeName(String tobaccoTypeName) {
        this.tobaccoTypeName = tobaccoTypeName;
    }

    public Date getConstructionStartDate() {
        return constructionStartDate;
    }

    public void setConstructionStartDate(Date constructionStartDate) {
        this.constructionStartDate = constructionStartDate;
    }

    public Date getConstructionEndDate() {
        return constructionEndDate;
    }

    public void setConstructionEndDate(Date constructionEndDate) {
        this.constructionEndDate = constructionEndDate;
    }

    public Date getObserveStartDate() {
        return observeStartDate;
    }

    public void setObserveStartDate(Date observeStartDate) {
        this.observeStartDate = observeStartDate;
    }

    public Date getObserveEndDate() {
        return observeEndDate;
    }

    public void setObserveEndDate(Date observeEndDate) {
        this.observeEndDate = observeEndDate;
    }

    public Integer getObserveDays() {
        return observeDays;
    }

    public void setObserveDays(Integer observeDays) {
        this.observeDays = observeDays;
    }

    public String getTreePurpose() {
        return treePurpose;
    }

    public void setTreePurpose(String treePurpose) {
        this.treePurpose = treePurpose;
    }

    public String getTreePurposeName() {
        return treePurposeName;
    }

    public void setTreePurposeName(String treePurposeName) {
        this.treePurposeName = treePurposeName;
    }

    public String getIspoor() {
        return ispoor;
    }

    public void setIspoor(String ispoor) {
        this.ispoor = ispoor;
    }

    public String getCreditInvestigators() {
        return creditInvestigators;
    }

    public void setCreditInvestigators(String creditInvestigators) {
        this.creditInvestigators = creditInvestigators;
    }

    public String getReadClauseFlag() {
        return readClauseFlag;
    }

    public void setReadClauseFlag(String readClauseFlag) {
        this.readClauseFlag = readClauseFlag;
    }

    public String getInsureValidateStatus() {
        return insureValidateStatus;
    }

    public void setInsureValidateStatus(String insureValidateStatus) {
        this.insureValidateStatus = insureValidateStatus;
    }

    public String getApproveId() {
        return approveId;
    }

    public void setApproveId(String approveId) {
        this.approveId = approveId;
    }

    public String getApproveName() {
        return approveName;
    }

    public void setApproveName(String approveName) {
        this.approveName = approveName;
    }

    public String getApproveMark() {
        return approveMark;
    }

    public void setApproveMark(String approveMark) {
        this.approveMark = approveMark;
    }

    public String getApproveUrl() {
        return approveUrl;
    }

    public void setApproveUrl(String approveUrl) {
        this.approveUrl = approveUrl;
    }

    public String getInformNumber() {
        return informNumber;
    }

    public void setInformNumber(String informNumber) {
        this.informNumber = informNumber;
    }

    public String getInsureValidateDto() {
        return insureValidateDto;
    }

    public void setInsureValidateDto(String insureValidateDto) {
        this.insureValidateDto = insureValidateDto;
    }

    public String getPublicityNumber() {
        return publicityNumber;
    }

    public void setPublicityNumber(String publicityNumber) {
        this.publicityNumber = publicityNumber;
    }

    public String getPolicyAffirmNo() {
        return policyAffirmNo;
    }

    public void setPolicyAffirmNo(String policyAffirmNo) {
        this.policyAffirmNo = policyAffirmNo;
    }

    public String getElectronPolicyDownload() {
        return electronPolicyDownload;
    }

    public void setElectronPolicyDownload(String electronPolicyDownload) {
        this.electronPolicyDownload = electronPolicyDownload;
    }

    public String getFinancingLogoCode() {
        return financingLogoCode;
    }

    public void setFinancingLogoCode(String financingLogoCode) {
        this.financingLogoCode = financingLogoCode;
    }

    public String getFinancingLogo() {
        return financingLogo;
    }

    public void setFinancingLogo(String financingLogo) {
        this.financingLogo = financingLogo;
    }

    public BigDecimal getFinancingAmount() {
        return financingAmount;
    }

    public void setFinancingAmount(BigDecimal financingAmount) {
        this.financingAmount = financingAmount;
    }

    public Date getInspectionStartDate() {
        return inspectionStartDate;
    }

    public void setInspectionStartDate(Date inspectionStartDate) {
        this.inspectionStartDate = inspectionStartDate;
    }

    public Date getInspectionEndDate() {
        return inspectionEndDate;
    }

    public void setInspectionEndDate(Date inspectionEndDate) {
        this.inspectionEndDate = inspectionEndDate;
    }

    public Integer getInspectionDay() {
        return inspectionDay;
    }

    public void setInspectionDay(Integer inspectionDay) {
        this.inspectionDay = inspectionDay;
    }

    public String getSendMessageFlag() {
        return sendMessageFlag;
    }

    public void setSendMessageFlag(String sendMessageFlag) {
        this.sendMessageFlag = sendMessageFlag;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    /** 追溯期标志 */
    private String kwardDateFlag;
    /** 是否公式 */
    private String inspectionFlag;
    /** 是否验标 */
    private String notificationFlag;
    /** 是否中央单位*/
    private String centralUnitFlag;
    /** 中央单位代码 */
    private String centralUnitCode;
    /** 中央单位名称*/
    private String centralUnitName;



    public String getCentralUnitFlag() {
        return centralUnitFlag;
    }

    public void setCentralUnitFlag(String centralUnitFlag) {
        this.centralUnitFlag = centralUnitFlag;
    }

    public String getCentralUnitCode() {
        return centralUnitCode;
    }

    public void setCentralUnitCode(String centralUnitCode) {
        this.centralUnitCode = centralUnitCode;
    }

    public String getCentralUnitName() {
        return centralUnitName;
    }

    public void setCentralUnitName(String centralUnitName) {
        this.centralUnitName = centralUnitName;
    }

    /** 批单生效日期 */
    private Date endorseEffectiveTime;

    public Date getEndorseEffectiveTime() {
        return endorseEffectiveTime;
    }

    /** 销售机构名称 */
    private String salesOfficeName;
    /** 销售机构代码 */
    private String salesOfficeCode;
    /** 销售机构路径 */
    private String salesOfficePath;
    /** 补贴标志 */
    private String subsidyFlag;

    public String getSalesOfficePath() {
        return salesOfficePath;
    }

    public void setSalesOfficePath(String salesOfficePath) {
        this.salesOfficePath = salesOfficePath;
    }

    /** 手续费实际值 */
    private BigDecimal poundageFee;

    /**
     * 批改类别代码
     */
    private String endorseCategoryCode;
    /**
     * 批改类别名称
     */
    private String endorseCategoryName;
    /** 车加意出单标识 */
    private String accCarFlag;

    /** 缴费来源 */
    private String paySource;

    /** 车牌种类代码 */
    private String licenseType;
    /** 车牌种类名称 */
    private String licenseName;
    /** 新车未上牌标志 */
    private String newCarFlag;
    /** 打印被保险人名称 */
    private String insurantPrintName;
    /** 含税保费变化量 */
    private BigDecimal premiumVariation;
    /** 业务单号 */
    private String businessNo;
    /** 电子保单标志 */
    private String electronPolicyFlag;
    /** 纳税类别代码 */
    private String taxTypeCode;
    /** 纳税类别 (平台请求类型1:本地车,2:转籍车,3:未税车，天津专用) */
    private String taxType;
    /** 业务单号类型 */
    private String businessNoType;
    /** 北京政府采购信息表id */
    private String centralPurchaseId;
    /** 索赔基础 */
    private String claimBasis;
    /** 索赔基础代码 */
    private String claimBasisCode;

    public String getMobileBusinessPhoneNo() {
        return mobileBusinessPhoneNo;
    }

    public void setMobileBusinessPhoneNo(String mobileBusinessPhoneNo) {
        this.mobileBusinessPhoneNo = mobileBusinessPhoneNo;
    }

    public String getClaimBasisCode() {
        return claimBasisCode;
    }

    public void setClaimBasisCode(String claimBasisCode) {
        this.claimBasisCode = claimBasisCode;
    }

    public String getClaimBasis() {
        return claimBasis;
    }

    public void setClaimBasis(String claimBasis) {
        this.claimBasis = claimBasis;
    }

    public String getCentralPurchaseId() {
        return centralPurchaseId;
    }
    
    public void setCentralPurchaseId(String centralPurchaseId) {
        this.centralPurchaseId = centralPurchaseId;
    }

    public String getBusinessNoType() {
        return businessNoType;
    }

    public void setBusinessNoType(String businessNoType) {
        this.businessNoType = businessNoType;
    }

    public String getTaxTypeCode() {
        return taxTypeCode;
    }

    public void setTaxTypeCode(String taxTypeCode) {
        this.taxTypeCode = taxTypeCode;
    }

    public String getTaxType() {
        return taxType;
    }

    public void setTaxType(String taxType) {
        this.taxType = taxType;
    }

    public String getElectronPolicyFlag() {
        return electronPolicyFlag;
    }

    public void setElectronPolicyFlag(String electronPolicyFlag) {
        this.electronPolicyFlag = electronPolicyFlag;
    }

    public String getBusinessNo() {
        return businessNo;
    }

    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo;
    }

    public BigDecimal getPremiumVariation() {
        return premiumVariation;
    }

    public void setPremiumVariation(BigDecimal premiumVariation) {
        this.premiumVariation = premiumVariation;
    }

    public String getInsurantPrintName() {
        return insurantPrintName;
    }

    public void setInsurantPrintName(String insurantPrintName) {
        this.insurantPrintName = insurantPrintName;
    }

    public String getLicenseType() {
        return licenseType;
    }

    public void setLicenseType(String licenseType) {
        this.licenseType = licenseType;
    }

    public String getLicenseName() {
        return licenseName;
    }

    public void setLicenseName(String licenseName) {
        this.licenseName = licenseName;
    }

    public String getNewCarFlag() {
        return newCarFlag;
    }

    public void setNewCarFlag(String newCarFlag) {
        this.newCarFlag = newCarFlag;
    }

    public String getPaySource() {
        return paySource;
    }

    public void setPaySource(String paySource) {
        this.paySource = paySource;
    }

    public String getAccCarFlag() {
        return accCarFlag;
    }

    public void setAccCarFlag(String accCarFlag) {
        this.accCarFlag = accCarFlag;
    }

    public String getEndorseCategoryCode() {
        return endorseCategoryCode;
    }

    public void setEndorseCategoryCode(String endorseCategoryCode) {
        this.endorseCategoryCode = endorseCategoryCode;
    }

    public String getEndorseCategoryName() {
        return endorseCategoryName;
    }

    public void setEndorseCategoryName(String endorseCategoryName) {
        this.endorseCategoryName = endorseCategoryName;
    }

    public BigDecimal getPoundageFee() {
        return poundageFee;
    }

    public void setPoundageFee(BigDecimal poundageFee) {
        this.poundageFee = poundageFee;
    }

    public void setEndorseEffectiveTime(Date endorseEffectiveTime) {
        this.endorseEffectiveTime = endorseEffectiveTime;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getCarOwnerIdentifyType() {
        return carOwnerIdentifyType;
    }

    public void setCarOwnerIdentifyType(String carOwnerIdentifyType) {
        this.carOwnerIdentifyType = carOwnerIdentifyType;
    }

    public String getCarOwnerIdentifyName() {
        return carOwnerIdentifyName;
    }

    public void setCarOwnerIdentifyName(String carOwnerIdentifyName) {
        this.carOwnerIdentifyName = carOwnerIdentifyName;
    }

    public String getCarOwnerIdentifyNumber() {
        return carOwnerIdentifyNumber;
    }

    public void setCarOwnerIdentifyNumber(String carOwnerIdentifyNumber) {
        this.carOwnerIdentifyNumber = carOwnerIdentifyNumber;
    }

    public BigDecimal getSumTax() {
        return sumTax;
    }

    public void setSumTax(BigDecimal sumTax) {
        this.sumTax = sumTax;
    }

    public String getEngineNumber() {
        return engineNumber;
    }

    public void setEngineNumber(String engineNumber) {
        this.engineNumber = engineNumber;
    }

    public String getSubsidyFlag() {
        return subsidyFlag;
    }

    public void setSubsidyFlag(String subsidyFlag) {
        this.subsidyFlag = subsidyFlag;
    }

    public String getSalesOfficeName() {
        return salesOfficeName;
    }

    public void setSalesOfficeName(String salesOfficeName) {
        this.salesOfficeName = salesOfficeName;
    }

    public String getSalesOfficeCode() {
        return salesOfficeCode;
    }

    public void setSalesOfficeCode(String salesOfficeCode) {
        this.salesOfficeCode = salesOfficeCode;
    }

    public String getInspectionFlag() {
        return inspectionFlag;
    }

    public void setInspectionFlag(String inspectionFlag) {
        this.inspectionFlag = inspectionFlag;
    }

    public String getNotificationFlag() {
        return notificationFlag;
    }

    public void setNotificationFlag(String notificationFlag) {
        this.notificationFlag = notificationFlag;
    }

    public String getKwardDateFlag() {
        return kwardDateFlag;
    }

    public void setKwardDateFlag(String kwardDateFlag) {
        this.kwardDateFlag = kwardDateFlag;
    }

    public Date getStartKwardDate() {
        return startKwardDate;
    }

    public void setStartKwardDate(Date startKwardDate) {
        this.startKwardDate = startKwardDate;
    }

    public Date getEntKwardDate() {
        return entKwardDate;
    }

    public void setEntKwardDate(Date entKwardDate) {
        this.entKwardDate = entKwardDate;
    }

    public String getItemNumberUnitName() {
        return itemNumberUnitName;
    }

    public void setItemNumberUnitName(String itemNumberUnitName) {
        this.itemNumberUnitName = itemNumberUnitName;
    }

    public String getItemNumberUnit() {
        return itemNumberUnit;
    }

    public void setItemNumberUnit(String itemNumberUnit) {
        this.itemNumberUnit = itemNumberUnit;
    }

    public BigDecimal getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(BigDecimal itemNumber) {
        this.itemNumber = itemNumber;
    }

    public Date getResponsibilityStartDate() {
        return responsibilityStartDate;
    }

    public void setResponsibilityStartDate(Date responsibilityStartDate) {
        this.responsibilityStartDate = responsibilityStartDate;
    }

    public String getActualShipperFlag() {
        return actualShipperFlag;
    }

    public void setActualShipperFlag(String actualShipperFlag) {
        this.actualShipperFlag = actualShipperFlag;
    }

    public String getClassifyFlag() {
        return classifyFlag;
    }

    public void setClassifyFlag(String classifyFlag) {
        this.classifyFlag = classifyFlag;
    }

    public String getCalculateMode() {
        return calculateMode;
    }

    public void setCalculateMode(String calculateMode) {
        this.calculateMode = calculateMode;
    }

    public String getBusinessFlagCode() {
        return businessFlagCode;
    }

    public void setBusinessFlagCode(String businessFlagCode) {
        this.businessFlagCode = businessFlagCode;
    }

    public String getBusinFlagName() {
        return businFlagName;
    }

    public void setBusinFlagName(String businFlagName) {
        this.businFlagName = businFlagName;
    }

    public String getAppIdentifyNumber() {
        return appIdentifyNumber;
    }

    public void setAppIdentifyNumber(String appIdentifyNumber) {
        this.appIdentifyNumber = appIdentifyNumber;
    }

    public String getSeedDeclareType() {
        return seedDeclareType;
    }

    public void setSeedDeclareType(String seedDeclareType) {
        this.seedDeclareType = seedDeclareType;
    }

    public String getCreditInvestigator() {
        return creditInvestigator;
    }

    public void setCreditInvestigator(String creditInvestigator) {
        this.creditInvestigator = creditInvestigator;
    }

    public String getSummarizeFlag() {
        return summarizeFlag;
    }

    public void setSummarizeFlag(String summarizeFlag) {
        this.summarizeFlag = summarizeFlag;
    }

    public String getNameOfBusiness() {
        return nameOfBusiness;
    }

    public void setNameOfBusiness(String nameOfBusiness) {
        this.nameOfBusiness = nameOfBusiness;
    }

    public BigDecimal getSaleFeeRate() {
        return saleFeeRate;
    }

    public void setSaleFeeRate(BigDecimal saleFeeRate) {
        this.saleFeeRate = saleFeeRate;
    }

    public BigDecimal getPerformanceRate() {
        return performanceRate;
    }

    public void setPerformanceRate(BigDecimal performanceRate) {
        this.performanceRate = performanceRate;
    }

    @Column(length = 50)
    public String getApplicantCode() {
        return applicantCode;
    }

    public void setApplicantCode(String applicantCode) {
        this.applicantCode = applicantCode;
    }

    @Column(length = 120)
    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    @Column(length = 50)
    public String getInsurantCode() {
        return insurantCode;
    }

    public void setInsurantCode(String insurantCode) {
        this.insurantCode = insurantCode;
    }

    @Column(length = 120)
    public String getInsurantName() {
        return insurantName;
    }

    public void setInsurantName(String insurantName) {
        this.insurantName = insurantName;
    }

    @Column(length = 10)
    public String getVisaPrintType() {
        return visaPrintType;
    }

    public void setVisaPrintType(String visaPrintType) {
        this.visaPrintType = visaPrintType;
    }

    @Column(length = 50)
    public String getVisaSerialNo() {
        return visaSerialNo;
    }

    public void setVisaSerialNo(String visaSerialNo) {
        this.visaSerialNo = visaSerialNo;
    }

    @Column(length = 10)
    public String getVisaCode() {
        return visaCode;
    }

    public void setVisaCode(String visaCode) {
        this.visaCode = visaCode;
    }

    @Column(length = 120)
    public String getVisaName() {
        return visaName;
    }

    public void setVisaName(String visaName) {
        this.visaName = visaName;
    }

    @Column(length = 50)
    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    @Column(length = 50)
    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Column(length = 50)
    public String getStructureId() {
        return structureId;
    }

    public void setStructureId(String structureId) {
        this.structureId = structureId;
    }

    @Column(length = 50)
    public String getOwnerUserId() {
        return ownerUserId;
    }

    public void setOwnerUserId(String ownerUserId) {
        this.ownerUserId = ownerUserId;
    }

    @Column(length = 10)
    public String getApplicantGradeCode() {
        return applicantGradeCode;
    }

    public void setApplicantGradeCode(String applicantGradeCode) {
        this.applicantGradeCode = applicantGradeCode;
    }

    @Column(length = 120)
    public String getApplicantGrade() {
        return applicantGrade;
    }

    public void setApplicantGrade(String applicantGrade) {
        this.applicantGrade = applicantGrade;
    }

    @Column(length = 10)
    public String getInsurantGradeCode() {
        return insurantGradeCode;
    }

    public void setInsurantGradeCode(String insurantGradeCode) {
        this.insurantGradeCode = insurantGradeCode;
    }

    @Column(length = 120)
    public String getInsurantGrade() {
        return insurantGrade;
    }

    public void setInsurantGrade(String insurantGrade) {
        this.insurantGrade = insurantGrade;
    }

    @Column(length = 50)
    public String getLicensePlateNo() {
        return licensePlateNo;
    }

    public void setLicensePlateNo(String licensePlateNo) {
        this.licensePlateNo = licensePlateNo;
    }

    @Column(length = 50)
    public String getHklicenseno() {
        return hklicenseno;
    }

    public void setHklicenseno(String hklicenseno) {
        this.hklicenseno = hklicenseno;
    }

    @Column(length = 10)
    public String getInsurantIdentifyType() {
        return insurantIdentifyType;
    }

    public void setInsurantIdentifyType(String insurantIdentifyType) {
        this.insurantIdentifyType = insurantIdentifyType;
    }

    @Column(length = 120)
    public String getInsurantIdentifyName() {
        return insurantIdentifyName;
    }

    public void setInsurantIdentifyName(String insurantIdentifyName) {
        this.insurantIdentifyName = insurantIdentifyName;
    }

    @Column(length = 50)
    public String getInsurantIdentifyNumber() {
        return insurantIdentifyNumber;
    }

    public void setInsurantIdentifyNumber(String insurantIdentifyNumber) {
        this.insurantIdentifyNumber = insurantIdentifyNumber;
    }

    @Column(length = 50)
    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    @Column(length = 50)
    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    @Column(length = 50)
    public String getVinNo() {
        return vinNo;
    }

    public void setVinNo(String vinNo) {
        this.vinNo = vinNo;
    }

    @Column(length = 50)
    public String getEngineNo() {
        return engineNo;
    }

    public void setEngineNo(String engineNo) {
        this.engineNo = engineNo;
    }

    @Column(length = 10)
    public String getCustomerType() {
        return customerType;
    }

    public void setCustomerType(String customerType) {
        this.customerType = customerType;
    }

    public String getCarKindCode() {
        return carKindCode;
    }

    public void setCarKindCode(String carKindCode) {
        this.carKindCode = carKindCode;
    }

    public String getCarKindName() {
        return carKindName;
    }

    public void setCarKindName(String carKindName) {
        this.carKindName = carKindName;
    }

    public String getCarUserNatureCode() {
        return carUserNatureCode;
    }

    public void setCarUserNatureCode(String carUserNatureCode) {
        this.carUserNatureCode = carUserNatureCode;
    }

    public String getCarUserNature() {
        return carUserNature;
    }

    public void setCarUserNature(String carUserNature) {
        this.carUserNature = carUserNature;
    }

    public BigDecimal getSeatcount() {
        return seatcount;
    }

    public void setSeatcount(BigDecimal seatcount) {
        this.seatcount = seatcount;
    }

    public BigDecimal getVehicleTonnage() {
        return vehicleTonnage;
    }

    public void setVehicleTonnage(BigDecimal vehicleTonnage) {
        this.vehicleTonnage = vehicleTonnage;
    }

    public String getCarBrand() {
        return carBrand;
    }

    public void setCarBrand(String carBrand) {
        this.carBrand = carBrand;
    }

    public String getCarBrandCode() {
        return carBrandCode;
    }

    public void setCarBrandCode(String carBrandCode) {
        this.carBrandCode = carBrandCode;
    }

    public String getEnergyTypesCode() {
        return energyTypesCode;
    }

    public void setEnergyTypesCode(String energyTypesCode) {
        this.energyTypesCode = energyTypesCode;
    }

    public String getEnergyTypes() {
        return energyTypes;
    }

    public void setEnergyTypes(String energyTypes) {
        this.energyTypes = energyTypes;
    }

    public BigDecimal getUseyears() {
        return useyears;
    }

    public void setUseyears(BigDecimal useyears) {
        this.useyears = useyears;
    }

    public String getChgownerflag() {
        return chgownerflag;
    }

    public void setChgownerflag(String chgownerflag) {
        this.chgownerflag = chgownerflag;
    }

    public String getLoanvehicleflag() {
        return loanvehicleflag;
    }

    public void setLoanvehicleflag(String loanvehicleflag) {
        this.loanvehicleflag = loanvehicleflag;
    }

    public String getForeignCarFlag() {
        return foreignCarFlag;
    }

    public void setForeignCarFlag(String foreignCarFlag) {
        this.foreignCarFlag = foreignCarFlag;
    }

    public String getSecondhandcarflag() {
        return secondhandcarflag;
    }

    public void setSecondhandcarflag(String secondhandcarflag) {
        this.secondhandcarflag = secondhandcarflag;
    }

    public BigDecimal getVehicleQuality() {
        return vehicleQuality;
    }

    public void setVehicleQuality(BigDecimal vehicleQuality) {
        this.vehicleQuality = vehicleQuality;
    }

    @Column(length = 50)
    public String getVisaSerialNoSign() {
        return visaSerialNoSign;
    }

    public void setVisaSerialNoSign(String visaSerialNoSign) {
        this.visaSerialNoSign = visaSerialNoSign;
    }

    @Column(length = 20)
    public String getFileManagerNo() {
        return fileManagerNo;
    }

    public void setFileManagerNo(String fileManagerNo) {
        this.fileManagerNo = fileManagerNo;
    }

    @Column(length = 50)
    public String getFileManagerName() {
        return fileManagerName;
    }

    public void setFileManagerName(String fileManagerName) {
        this.fileManagerName = fileManagerName;
    }

    @Column(length = 2)
    public String getFileManagerStatus() {
        return fileManagerStatus;
    }

    public void setFileManagerStatus(String fileManagerStatus) {
        this.fileManagerStatus = fileManagerStatus;
    }

    @Column(length = 10)
    public String getFileManagerStatusName() {
        return fileManagerStatusName;
    }

    public void setFileManagerStatusName(String fileManagerStatusName) {
        this.fileManagerStatusName = fileManagerStatusName;
    }

    @Column(length = 2)
    public String getFileManagerApproveStatus() {
        return fileManagerApproveStatus;
    }

    public void setFileManagerApproveStatus(String fileManagerApproveStatus) {
        this.fileManagerApproveStatus = fileManagerApproveStatus;
    }

    @Column(length = 10)
    public String getFileManagerApproveStatusName() {
        return fileManagerApproveStatusName;
    }

    public void setFileManagerApproveStatusName(String fileManagerApproveStatusName) {
        this.fileManagerApproveStatusName = fileManagerApproveStatusName;
    }

    @Column(length = 50)
    public String getEndorseVisaSerialNo() {
        return endorseVisaSerialNo;
    }

    public void setEndorseVisaSerialNo(String endorseVisaSerialNo) {
        this.endorseVisaSerialNo = endorseVisaSerialNo;
    }

    public String getAutoSampling() {
        return autoSampling;
    }

    public void setAutoSampling(String autoSampling) {
        this.autoSampling = autoSampling;
    }

    public String getArtiSampling() {
        return artiSampling;
    }

    public void setArtiSampling(String artiSampling) {
        this.artiSampling = artiSampling;
    }

    public String getArtiSamplingTxt() {
        return artiSamplingTxt;
    }

    public void setArtiSamplingTxt(String artiSamplingTxt) {
        this.artiSamplingTxt = artiSamplingTxt;
    }

    /**
     * 一揽子业务类型代码
     * 
     * @return the businessPackageTypeCode
     */

    public String getBusinessPackageTypeCode() {
        return this.businessPackageTypeCode;
    }

    /**
     * 一揽子业务类型代码
     * 
     * @param businessPackageTypeCode
     *            一揽子业务类型代码
     */
    public void setBusinessPackageTypeCode(String businessPackageTypeCode) {
        this.businessPackageTypeCode = businessPackageTypeCode;
    }

    /**
     * 一揽子业务类型名称
     * 
     * @return the businessPackageTypeName
     */

    public String getBusinessPackageTypeName() {
        return this.businessPackageTypeName;
    }

    /**
     * 一揽子业务类型名称
     * 
     * @param businessPackageTypeName
     *            一揽子业务类型名称
     */
    public void setBusinessPackageTypeName(String businessPackageTypeName) {
        this.businessPackageTypeName = businessPackageTypeName;
    }

    /**
     * 一揽子业务号
     * 
     * @return the businessPackageNo
     */

    public String getBusinessPackageNo() {
        return this.businessPackageNo;
    }

    /**
     * 一揽子业务号
     * 
     * @param businessPackageNo
     *            一揽子业务号
     */
    public void setBusinessPackageNo(String businessPackageNo) {
        this.businessPackageNo = businessPackageNo;
    }

    /**
     * 是否首张保单
     * 
     * @return the firstPolicyCode
     */
    public String getFirstPolicyCode() {
        return firstPolicyCode;
    }

    /**
     * 是否首张保单
     * @param firstPolicyCode 是否首张保单
     */
    public void setFirstPolicyCode(String firstPolicyCode) {
        this.firstPolicyCode = firstPolicyCode;
    }

    /**
     * 是否首张保单名称
     * 
     * @return firstPolicyName 是否首张保单名称
     */
    public String getFirstPolicyName() {
        return firstPolicyName;
    }

    /**
     * 是否首张保单名称
     * @param firstPolicyName 是否首张保单名称
     */
    public void setFirstPolicyName(String firstPolicyName) {
        this.firstPolicyName = firstPolicyName;
    }
    
    /**
     * 重客标志
     * 
     * @return emphasisFlag 重客标志
     */
    public String getEmphasisFlag() {
        return emphasisFlag;
    }
    
    /**
     * 重客标志
     * @param emphasisFlag 重客标志
     */
    public void setEmphasisFlag(String emphasisFlag) {
        this.emphasisFlag = emphasisFlag;
    }
    
    /**
     * 重客代码
     * 
     * @return focusCode 重客代码
     */
    public String getFocusCode() {
        return focusCode;
    }
    
    /**
     * 重客代码
     * @param focusCode 重客代码
     */
    public void setFocusCode(String focusCode) {
        this.focusCode = focusCode;
    }
    
    /**
     * 重客类型
     * 
     * @return focusCodeName  重客类型
     */
    public String getFocusCodeName() {
        return focusCodeName ;
    }
    
    /**
     * 重客类型
     * @param focusCodeName  重客类型
     */
    public void setFocusCodeName(String focusCodeName) {
        this.focusCodeName  = focusCodeName ;
    }

    /**
     * 推荐业务标志
     * 
     * @return recommendBusinessFlag  推荐业务标志
     */
    public String getRecommendBusinessFlag() {
        return recommendBusinessFlag;
    }

    /**
     * 推荐业务标志
     * @param recommendBusinessFlag 推荐业务标志
     */
    public void setRecommendBusinessFlag(String recommendBusinessFlag) {
        this.recommendBusinessFlag = recommendBusinessFlag;
    }

    /**
     * 推荐业务代码
     * 
     * @return recommendBusinessCode  推荐业务代码
     */
    public String getRecommendBusinessCode() {
        return recommendBusinessCode;
    }

    /**
     * 推荐业务代码
     * @param recommendBusinessCode 推荐业务代码
     */
    public void setRecommendBusinessCode(String recommendBusinessCode) {
        this.recommendBusinessCode = recommendBusinessCode;
    }

    /**
     * 推荐业务代码名称
     * 
     * @return recommendBusinessCodeName  推荐业务代码名称
     */
    public String getRecommendBusinessCodeName() {
        return recommendBusinessCodeName;
    }

    /**
     * 推荐业务代码名称
     * @param recommendBusinessCodeName 推荐业务代码名称
     */
    public void setRecommendBusinessCodeName(String recommendBusinessCodeName) {
        this.recommendBusinessCodeName = recommendBusinessCodeName;
    }
    
    /**
     * 暂保单天数
     * 
     * @return the coverNoteEffectDay
     */

    public Integer getCoverNoteEffectDay() {
        return this.coverNoteEffectDay;
    }

    /**
     * 暂保单天数
     * 
     * @param coverNoteEffectDay
     *            暂保单天数
     */
    public void setCoverNoteEffectDay(Integer coverNoteEffectDay) {
        this.coverNoteEffectDay = coverNoteEffectDay;
    }
    
    /**
     * 标的汇总备用字段
     * 
     * @return the subjectRemarksTotal
     */

    public BigDecimal getSubjectRemarksTotal() {
        return this.subjectRemarksTotal;
    }

    /**
     * 标的汇总备用字段
     * 
     * @param subjectRemarksTotal
     *            标的汇总备用字段
     */
    public void setSubjectRemarksTotal(BigDecimal subjectRemarksTotal) {
        this.subjectRemarksTotal = subjectRemarksTotal;
    }

    /**
     * 救助基金比例(北京专用)
     * 
     * @return the fundRateBJ
     */
    public BigDecimal getFundRateBJ() {
        return fundRateBJ;
    }

    /**
     * 救助基金比例(北京专用)
     * 
     * @param fundRateBJ
     *            救助基金比例(北京专用)
     */
    public void setFundRateBJ(BigDecimal fundRateBJ) {
        this.fundRateBJ = fundRateBJ;
    }

    /**
     * 救助基金金额(北京专用)
     * 
     * @return the fundAmountBJ
     */
    public BigDecimal getFundAmountBJ() {
        return fundAmountBJ;
    }

    /**
     * 救助基金金额(北京专用)
     * 
     * @param fundAmountBJ
     *            救助基金金额(北京专用)
     */
    public void setFundAmountBJ(BigDecimal fundAmountBJ) {
        this.fundAmountBJ = fundAmountBJ;
    }
    
    /**
     * 一揽子业务标识
     * @return PackageBusinessFlag
     */
    public String getPackageBusinessFlag() {
        return packageBusinessFlag;
    }

    /**
     * 一揽子业务标识
     * @param packageBusinessFlag 一揽子业务标识
     */
    public void setPackageBusinessFlag(String packageBusinessFlag) {
        this.packageBusinessFlag = packageBusinessFlag;
    }

    /**
     * 其他推荐业务代码
     * 
     * @return otherRecommendBusinessCode  其他推荐业务代码
     */
    public String getOtherRecommendBusinessCode() {
        return otherRecommendBusinessCode;
    }

    /**
     * 其他推荐业务代码
     * 
     * @param otherRecommendBusinessCode  其他推荐业务代码
     */
    public void setOtherRecommendBusinessCode(String otherRecommendBusinessCode) {
        this.otherRecommendBusinessCode = otherRecommendBusinessCode;
    }

    /**
     * 其他推荐业务代码名称
     * 
     * @return otherRecommendBusinessCodeName  其他推荐业务代码名称
     */
    public String getOtherRecommendBusinessCodeName() {
        return otherRecommendBusinessCodeName;
    }

    /**
     * 其他推荐业务代码
     * 
     * @param otherRecommendBusinessCodeName  其他推荐业务代码名称
     */
    public void setOtherRecommendBusinessCodeName(String otherRecommendBusinessCodeName) {
        this.otherRecommendBusinessCodeName = otherRecommendBusinessCodeName;
    }

    /**
     * 是否大额交易标识
     * @return the blockTradeFlag
     */
    public String getBlockTradeFlag() {
        return blockTradeFlag;
    }

    /**
     * 是否大额交易标识
     * @param blockTradeFlag the blockTradeFlag to set
     */
    public void setBlockTradeFlag(String blockTradeFlag) {
        this.blockTradeFlag = blockTradeFlag;
    }

    /**
     * 代刷卡缴费账号
     * @return the paymentAccount
     */
    public String getPaymentAccount() {
        return paymentAccount;
    }

    /**
     * 代刷卡缴费账号
     * @param paymentAccount the paymentAccount to set
     */
    public void setPaymentAccount(String paymentAccount) {
        this.paymentAccount = paymentAccount;
    }

    /**
     * 缴费户名
     * @return the paymentAccountName
     */
    public String getPaymentAccountName() {
        return paymentAccountName;
    }

    /**
     * 缴费户名
     * @param paymentAccountName the paymentAccountName to set
     */
    public void setPaymentAccountName(String paymentAccountName) {
        this.paymentAccountName = paymentAccountName;
    }

    /**
     * 开户行
     * @return the openingBank
     */
    public String getOpeningBank() {
        return openingBank;
    }

    /**
     * 开户行
     * @param openingBank the openingBank to set
     */
    public void setOpeningBank(String openingBank) {
        this.openingBank = openingBank;
    } 
    
    public String getForestryBodyTypeCode() {
        return forestryBodyTypeCode;
    }

    public void setForestryBodyTypeCode(String forestryBodyTypeCode) {
        this.forestryBodyTypeCode = forestryBodyTypeCode;
    }

    public String getForestryBodyTypeName() {
        return forestryBodyTypeName;
    }

    public void setForestryBodyTypeName(String forestryBodyTypeName) {
        this.forestryBodyTypeName = forestryBodyTypeName;
    }

    public String getCorpsBusinessFlagCode() {
        return corpsBusinessFlagCode;
    }

    public void setCorpsBusinessFlagCode(String corpsBusinessFlagCode) {
        this.corpsBusinessFlagCode = corpsBusinessFlagCode;
    }

    public String getCorpsBusinessFlagName() {
        return corpsBusinessFlagName;
    }

    public void setCorpsBusinessFlagName(String corpsBusinessFlagName) {
        this.corpsBusinessFlagName = corpsBusinessFlagName;
    }

    public String getIsRateCutting() {
        return isRateCutting;
    }

    public void setIsRateCutting(String isRateCutting) {
        this.isRateCutting = isRateCutting;
    }

    public String getUpIncrease() {
        return upIncrease;
    }

    public void setUpIncrease(String upIncrease) {
        this.upIncrease = upIncrease;
    }

    public String getIsRegionalStates() {
        return isRegionalStates;
    }

    public void setIsRegionalStates(String isRegionalStates) {
        this.isRegionalStates = isRegionalStates;
    }

    public String getIspoorName() {
        return ispoorName;
    }

    public void setIspoorName(String ispoorName) {
        this.ispoorName = ispoorName;
    }

    public String getIsRateCuttingName() {
        return isRateCuttingName;
    }

    public void setIsRateCuttingName(String isRateCuttingName) {
        this.isRateCuttingName = isRateCuttingName;
    }

    public String getUpIncreaseName() {
        return upIncreaseName;
    }

    public void setUpIncreaseName(String upIncreaseName) {
        this.upIncreaseName = upIncreaseName;
    }

    public String getIsRegionalStatesName() {
        return isRegionalStatesName;
    }

    public void setIsRegionalStatesName(String isRegionalStatesName) {
        this.isRegionalStatesName = isRegionalStatesName;
    }

    public String getPolicyJoinProjectVersion() {
        return policyJoinProjectVersion;
    }

    public void setPolicyJoinProjectVersion(String policyJoinProjectVersion) {
        this.policyJoinProjectVersion = policyJoinProjectVersion;
    }

    public String getLastInsurerArea() {
        return lastInsurerArea;
    }

    public void setLastInsurerArea(String lastInsurerArea) {
        this.lastInsurerArea = lastInsurerArea;
    }

    public String getFixedCode() {
        return fixedCode;
    }

    public void setFixedCode(String fixedCode) {
        this.fixedCode = fixedCode;
    }

    public Date getWithdrawTime() {
        return withdrawTime;
    }

    public void setWithdrawTime(Date withdrawTime) {
        this.withdrawTime = withdrawTime;
    }

    public String getRemoteBusinessFlag() {
        return remoteBusinessFlag;
    }

    public void setRemoteBusinessFlag(String remoteBusinessFlag) {
        this.remoteBusinessFlag = remoteBusinessFlag;
    }

    public BigDecimal getRiskBalanceAmount() {
        return riskBalanceAmount;
    }

    public void setRiskBalanceAmount(BigDecimal riskBalanceAmount) {
        this.riskBalanceAmount = riskBalanceAmount;
    }

    public String getPolicyVisaPrintCode() {
        return policyVisaPrintCode;
    }

    public void setPolicyVisaPrintCode(String policyVisaPrintCode) {
        this.policyVisaPrintCode = policyVisaPrintCode;
    }

    public String getPolicyVisaPrintName() {
        return policyVisaPrintName;
    }

    public void setPolicyVisaPrintName(String policyVisaPrintName) {
        this.policyVisaPrintName = policyVisaPrintName;
    }

    public String getEndorseVisaPrintCode() {
        return endorseVisaPrintCode;
    }

    public void setEndorseVisaPrintCode(String endorseVisaPrintCode) {
        this.endorseVisaPrintCode = endorseVisaPrintCode;
    }

    public String getEndorseVisaPrintName() {
        return endorseVisaPrintName;
    }

    public void setEndorseVisaPrintName(String endorseVisaPrintName) {
        this.endorseVisaPrintName = endorseVisaPrintName;
    }

    public String getPoliceConfirmedFlag() {
        return policeConfirmedFlag;
    }

    public void setPoliceConfirmedFlag(String policeConfirmedFlag) {
        this.policeConfirmedFlag = policeConfirmedFlag;
    }

    public String getEndorseForm() {
        return endorseForm;
    }

    public void setEndorseForm(String endorseForm) {
        this.endorseForm = endorseForm;
    }

    public String getEndorseFormName() {
        return endorseFormName;
    }

    public void setEndorseFormName(String endorseFormName) {
        this.endorseFormName = endorseFormName;
    }

    public Date getEnrollDate() {
        return enrollDate;
    }

    public void setEnrollDate(Date enrollDate) {
        this.enrollDate = enrollDate;
    }   
 
    public String getZbProjectCode() {
        return zbProjectCode;
    }

    public String getAgroReId() {
        return agroReId;
    }
    
    public void setAgroReId(String agroReId) {
        this.agroReId = agroReId;
    }
    
    public String getConfirmSequenceNo() {
        return confirmSequenceNo;
    }

    public void setConfirmSequenceNo(String confirmSequenceNo) {
        this.confirmSequenceNo = confirmSequenceNo;
    }

    public void setZbProjectCode(String zbProjectCode) {
        this.zbProjectCode = zbProjectCode;
    }

    public String getZbProjectName() {
        return zbProjectName;
    }

    public void setZbProjectName(String zbProjectName) {
        this.zbProjectName = zbProjectName;
    }

    public String getProAttCode() {
        return proAttCode;
    }

    public void setProAttCode(String proAttCode) {
        this.proAttCode = proAttCode;
    }

    public String getProAttName() {
        return proAttName;
    }

    public void setProAttName(String proAttName) {
        this.proAttName = proAttName;
    }

    public String getProLevelCode() {
        return proLevelCode;
    }

    public void setProLevelCode(String proLevelCode) {
        this.proLevelCode = proLevelCode;
    }

    public String getProLevelName() {
        return proLevelName;
    }

    public void setProLevelName(String proLevelName) {
        this.proLevelName = proLevelName;
    }

    public String getZbProjectFlag() {
        return zbProjectFlag;
    }

    public void setZbProjectFlag(String zbProjectFlag) {
        this.zbProjectFlag = zbProjectFlag;
    }
    
    public String getCertiNo() {
        return certiNo;
    }

    public void setCertiNo(String certiNo) {
        this.certiNo = certiNo;
    }

    public BigDecimal getReducedRate() {
        return reducedRate;
    }

    public void setReducedRate(BigDecimal reducedRate) {
        this.reducedRate = reducedRate;
    }

    public String getMedicalOrderSn() {
        return medicalOrderSn;
    }

    public void setMedicalOrderSn(String medicalOrderSn) {
        this.medicalOrderSn = medicalOrderSn;
    }

    public String getMedOrgName() {
        return medOrgName;
    }

    public void setMedOrgName(String medOrgName) {
        this.medOrgName = medOrgName;
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getPaymentTypeName() {
        return paymentTypeName;
    }

    public void setPaymentTypeName(String paymentTypeName) {
        this.paymentTypeName = paymentTypeName;
    }

    public String getCombinationNo() {
        return combinationNo;
    }

    public void setCombinationNo(String combinationNo) {
        this.combinationNo = combinationNo;
    }

    public String getDataBaseFlag() {
        return dataBaseFlag;
    }

    public void setDataBaseFlag(String dataBaseFlag) {
        this.dataBaseFlag = dataBaseFlag;
    }

    public String getIsNeedObserveDate() {
        return isNeedObserveDate;
    }

    public void setIsNeedObserveDate(String isNeedObserveDate) {
        this.isNeedObserveDate = isNeedObserveDate;
    }

    public String getDupDocumentType() {
        return dupDocumentType;
    }

    public void setDupDocumentType(String dupDocumentType) {
        this.dupDocumentType = dupDocumentType;
    }

    public String getBusinessCopyNum() {
        return businessCopyNum;
    }

    public void setBusinessCopyNum(String businessCopyNum) {
        this.businessCopyNum = businessCopyNum;
    }

    public String getBancassuranceFlag() {
        return bancassuranceFlag;
    }

    public void setBancassuranceFlag(String bancassuranceFlag) {
        this.bancassuranceFlag = bancassuranceFlag;
    }

    public String getSchemeNo() {
        return schemeNo;
    }

    public void setSchemeNo(String schemeNo) {
        this.schemeNo = schemeNo;
    }

    public String getSchemeName() {
        return schemeName;
    }

    public void setSchemeName(String schemeName) {
        this.schemeName = schemeName;
    }

    public String getInternationalFlag() {
        return internationalFlag;
    }

    public void setInternationalFlag(String internationalFlag) {
        this.internationalFlag = internationalFlag;
    }

    public String getBindingCarInsuranceFlag() {
        return bindingCarInsuranceFlag;
    }

    public void setBindingCarInsuranceFlag(String bindingCarInsuranceFlag) {
        this.bindingCarInsuranceFlag = bindingCarInsuranceFlag;
    }

    public String getInsurancePayMethod() {
        return insurancePayMethod;
    }

    public void setInsurancePayMethod(String insurancePayMethod) {
        this.insurancePayMethod = insurancePayMethod;
    }

    public String getMonthlyPremiumpayMethod() {
        return monthlyPremiumpayMethod;
    }

    public void setMonthlyPremiumpayMethod(String monthlyPremiumpayMethod) {
        this.monthlyPremiumpayMethod = monthlyPremiumpayMethod;
    }

    public BigDecimal getPenaltyRate() {
        return penaltyRate;
    }

    public void setPenaltyRate(BigDecimal penaltyRate) {
        this.penaltyRate = penaltyRate;
    }

    public String getClaimsDieGratiae() {
        return claimsDieGratiae;
    }

    public void setClaimsDieGratiae(String claimsDieGratiae) {
        this.claimsDieGratiae = claimsDieGratiae;
    }

    public String getShipMentCodeNo() {
        return shipMentCodeNo;
    }

    public void setShipMentCodeNo(String shipMentCodeNo) {
        this.shipMentCodeNo = shipMentCodeNo;
    }

    public String getUpSingleFlag() {
        return upSingleFlag;
    }

    public void setUpSingleFlag(String upSingleFlag) {
        this.upSingleFlag = upSingleFlag;
    }

    public String getServiceCountryPromoteFlag() {
        return serviceCountryPromoteFlag;
    }

    public void setServiceCountryPromoteFlag(String serviceCountryPromoteFlag) {
        this.serviceCountryPromoteFlag = serviceCountryPromoteFlag;
    }

    public String getEndorseStartTimeCode() {
        return endorseStartTimeCode;
    }

    public void setEndorseStartTimeCode(String endorseStartTimeCode) {
        this.endorseStartTimeCode = endorseStartTimeCode;
    }

    public String getEndorseStartTimeName() {
        return endorseStartTimeName;
    }

    public void setEndorseStartTimeName(String endorseStartTimeName) {
        this.endorseStartTimeName = endorseStartTimeName;
    }

    public String getIsLinkPolicy() {
        return isLinkPolicy;
    }

    public void setIsLinkPolicy(String isLinkPolicy) {
        this.isLinkPolicy = isLinkPolicy;
    }

    public BigDecimal getInsuranceProduction() {
        return insuranceProduction;
    }

    public void setInsuranceProduction(BigDecimal insuranceProduction) {
        this.insuranceProduction = insuranceProduction;
    }

    public String getInsuranceProductionUnit() {
        return insuranceProductionUnit;
    }

    public void setInsuranceProductionUnit(String insuranceProductionUnit) {
        this.insuranceProductionUnit = insuranceProductionUnit;
    }

    public String getInsuranceProductionUnitName() {
        return insuranceProductionUnitName;
    }

    public void setInsuranceProductionUnitName(String insuranceProductionUnitName) {
        this.insuranceProductionUnitName = insuranceProductionUnitName;
    }

    public BigDecimal getTargetPrice() {
        return targetPrice;
    }

    public void setTargetPrice(BigDecimal targetPrice) {
        this.targetPrice = targetPrice;
    }

    public String getTargetPriceUnit() {
        return targetPriceUnit;
    }

    public void setTargetPriceUnit(String targetPriceUnit) {
        this.targetPriceUnit = targetPriceUnit;
    }

    public String getTargetPriceUnitName() {
        return targetPriceUnitName;
    }

    public void setTargetPriceUnitName(String targetPriceUnitName) {
        this.targetPriceUnitName = targetPriceUnitName;
    }

}