-- 引擎: 脚本由Flink SQL 数据加工引擎[FLINKSQL-DATAPROCESS]合成
-- 规则: ZB_ODS_指标加工理赔业务数据(ZB_ODS_LPDATA) 执行脚本
-- 运行模式: STREAM
-- 系统标识: DATAQUALITY
-- 合成时间: Nov 22, 2022 11:08:43 AM

-- 创建catalog
CREATE CATALOG ZB_ODS WITH ( 'type'='generic_in_memory' );


-- 创建数据库
CREATE DATABASE IF NOT EXISTS ZB_ODS.ZB_ODS_MYSQL;

CREATE DATABASE IF NOT EXISTS ZB_ODS.ZB_SOURCE_KAFKA_YJPK;

CREATE DATABASE IF NOT EXISTS ZB_ODS.ZB_SOURCE_KAFKA_WJPK;

CREATE DATABASE IF NOT EXISTS ZB_ODS.ZB_ODS_KAFKA;


-- 创建source数据库表
 CREATE TABLE IF NOT EXISTS ZB_ODS.ZB_ODS_MYSQL.CD_COM_ALL_0X0OTORQ9P7 ( `COMCODE` STRING, `COMNAME` STRING, `LEVEL1COMCODE` STRING, `LEVEL2COMCODE` STRING, `LEVEL3COMCODE` STRING, `LEVEL4COMCODE` STRING, `LEVEL5COMCODE` STRING, `LEVEL1COMDESC` STRING, `LEVEL2COMDESC` STRING, `LEVEL3COMDESC` STRING, `LEVEL4COMDESC` STRING, `LEVEL5COMDESC` STRING, `COMLEVEL` DECIMAL(18,2), `VALIDFLAG` STRING, PRIMARY KEY (`COMCODE`) NOT ENFORCED ) WITH  ('url'='jdbc:mysql://9.1.200.87:3306/zb_ods?useTimezone=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&useSSL=false','table-name' = 'CD_COM_ALL','username' = 'service','password' = 'ydwf12356aA!','scan.fetch-size' = '1000','sink.buffer-flush.max-rows' = '4000','connector' ='jdbc');

 CREATE TABLE IF NOT EXISTS ZB_ODS.ZB_SOURCE_KAFKA_YJPK.YJPK_0X0OTORQ9P7 (
 `businessOffice` STRING,
 `productCode` STRING,
 `businessNatureCode` STRING,
 `businessChannelCode` STRING,
 `cladate` STRING,
 `setdate` STRING,
 `settledamount` STRING,
 `lossamout` STRING,
 `flag` STRING,
 `claimno` STRING, `no` STRING,proctime as PROCTIME()
 ) WITH (
'properties.bootstrap.servers' = '9.1.187.190:9092,9.1.187.189:9092,9.1.187.188:9092,9.1.187.187:9092,9.1.187.186:9092',
'scan.startup.mode' = 'group-offsets',
'properties.sasl.mechanism'='SCRAM-SHA-256',
'properties.sasl.kerberos.service.name'='kafka',
'properties.sasl.jaas.config'='org.apache.kafka.common.security.scram.ScramLoginModule required username="admin" password="admin_chinaLife&!";',
'properties.security.protocol'='SASL_PLAINTEXT',
'topic'='realYjPk',
'format'='csv','scan.startup.mode'='group-offsets','properties.group.id'='ZB_ODS_LPDATA','connector' ='kafka');

 CREATE TABLE IF NOT EXISTS ZB_ODS.ZB_ODS_MYSQL.CD_REALTIME_RISK_0X0OTORQ9P7 ( `RISKCODE` STRING, `RISKNAME` STRING, `CLASSCODE` STRING, `CLASSNAME` STRING, PRIMARY KEY (`RISKCODE`) NOT ENFORCED ) WITH  ('url'='jdbc:mysql://9.1.200.87:3306/zb_ods?useTimezone=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&useSSL=false','table-name' = 'CD_REALTIME_RISK','username' = 'service','password' = 'ydwf12356aA!','scan.fetch-size' = '1000','sink.buffer-flush.max-rows' = '4000','connector' ='jdbc');

 CREATE TABLE IF NOT EXISTS ZB_ODS.ZB_ODS_MYSQL.CD_BUSINESSNATURE_0X0OTORQ9P7 ( `CODE` STRING, `CODEDESC` STRING, PRIMARY KEY (`CODE`) NOT ENFORCED ) WITH  ('url'='jdbc:mysql://9.1.200.87:3306/zb_ods?useTimezone=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&useSSL=false','table-name' = 'CD_BUSINESSNATURE','username' = 'service','password' = 'ydwf12356aA!','scan.fetch-size' = '1000','sink.buffer-flush.max-rows' = '4000','connector' ='jdbc');

 CREATE TABLE IF NOT EXISTS ZB_ODS.ZB_SOURCE_KAFKA_WJPK.WJPK_0X0OTORQ9P7 ( `businessOffice` STRING, `productCode` STRING, `businessNatureCode` STRING, `businessChannelCode` STRING, `cladate` STRING, `setdate` STRING, `settledamount` STRING, `lossamout` STRING, `flag` STRING, `claimno` STRING, `no` STRING,proctime as PROCTIME()) WITH (
'properties.bootstrap.servers' = '9.1.187.190:9092,9.1.187.189:9092,9.1.187.188:9092,9.1.187.187:9092,9.1.187.186:9092','scan.startup.mode' = 'group-offsets','topic'='realWjPk','properties.sasl.mechanism'='SCRAM-SHA-256','properties.sasl.kerberos.service.name'='kafka','properties.sasl.jaas.config'='org.apache.kafka.common.security.scram.ScramLoginModule required username="admin" password="admin_chinaLife&!";','properties.security.protocol'='SASL_PLAINTEXT','format'='csv','scan.startup.mode'='group-offsets','properties.group.id'='ZB_ODS_LPDATA','connector' ='kafka');

 CREATE TABLE IF NOT EXISTS ZB_ODS.ZB_ODS_MYSQL.CD_NEWCHNLTYPE_0X0OTORQ9P7 ( `NEWCHNLTYPE` STRING, `NEWCHNLTYPEDESC` STRING, PRIMARY KEY (`NEWCHNLTYPE`) NOT ENFORCED ) WITH  ('url'='jdbc:mysql://9.1.200.87:3306/zb_ods?useTimezone=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&useSSL=false','table-name' = 'CD_NEWCHNLTYPE','username' = 'service','password' = 'ydwf12356aA!','scan.fetch-size' = '1000','sink.buffer-flush.max-rows' = '4000','connector' ='jdbc');


-- flink 参数配置信息
set pipeline.name=ZB_ODS_指标加工理赔业务数据-[ZB_ODS_LPDATA]-[41482649ba2a4ca9a5e727b933b73152]-[Flink SQL 数据加工引擎];

set table.dynamic-table-options.enabled=true;

-- 创建sink数据库表
 CREATE TABLE IF NOT EXISTS ZB_ODS.ZB_ODS_KAFKA.LPDATA_0X0OTORQ9P7 ( `COMCODE` STRING, `COMNAME` STRING, `LEVEL1COMCODE` STRING, `LEVEL2COMCODE` STRING, `LEVEL3COMCODE` STRING, `LEVEL4COMCODE` STRING, `LEVEL5COMCODE` STRING, `LEVEL1COMDESC` STRING, `LEVEL2COMDESC` STRING, `LEVEL3COMDESC` STRING, `LEVEL4COMDESC` STRING, `LEVEL5COMDESC` STRING, `risk` STRING, `riskname` STRING, `classcode` STRING, `classname` STRING, `businessNatureCode` STRING, `businessNatureName` STRING, `chnl` STRING, `chnlname` STRING, `cladate` STRING, `setdate` STRING, `settledamount` STRING, `lossamout` STRING, `flag` STRING, `claimno` STRING, `no` STRING, `log_time` STRING,proctime as PROCTIME()) WITH (
'properties.bootstrap.servers' = '9.23.23.75:9092,9.23.23.76:9092,9.23.23.77:9092,9.23.23.78:9092','scan.startup.mode' = 'group-offsets','scan.startup.mode'='latest-offset','topic'='LPDATA','format'='json','properties.group.id'='ZB_ODS_LPDATA','connector' ='kafka');


-- 执行Sql语句
insert into ZB_ODS.ZB_ODS_KAFKA.LPDATA_0X0OTORQ9P7
select
     s1.businessOffice               as `COMCODE`                    ,t1.COMNAME                      as `COMNAME`                    ,t1.LEVEL1COMCODE                as `LEVEL1COMCODE`              ,t1.LEVEL2COMCODE                as `LEVEL2COMCODE`              ,t1.LEVEL3COMCODE                as `LEVEL3COMCODE`              ,t1.LEVEL4COMCODE                as `LEVEL4COMCODE`              ,t1.LEVEL5COMCODE                as `LEVEL5COMCODE`              ,t1.LEVEL1COMDESC                as `LEVEL1COMDESC`              ,t1.LEVEL2COMDESC                as `LEVEL2COMDESC`              ,t1.LEVEL3COMDESC                as `LEVEL3COMDESC`              ,t1.LEVEL4COMDESC                as `LEVEL4COMDESC`              ,t1.LEVEL5COMDESC                as `LEVEL5COMDESC`              ,s1.productCode                  as `risk`                       ,t3.RISKNAME                     as `riskname`                   ,t3.CLASSCODE                    as `classcode`                  ,t3.CLASSNAME                    as `classname`                  ,s1.businessNatureCode           as `businessNatureCode`         ,t4.CODEDESC                     as `businessNatureName`         ,s1.businessChannelCode          as `chnl`                       ,t2.NEWCHNLTYPEDESC              as `chnlname`                   ,s1.cladate                      as `cladate`                    ,s1.setdate                      as `setdate`                    ,s1.settledamount                as `settledamount`              ,s1.lossamout                    as `lossamout`                  ,s1.flag                         as `flag`                       ,s1.claimno                      as `claimno`                    ,s1.`no`                         as `no`                      	,DATE_FORMAT(LOCALTIMESTAMP,'yyyy-MM-dd HH:mm:ss')                    as log_time

from (
    select
         businessOffice                                        as businessOffice               ,productCode                                           as productCode                  ,businessNatureCode                                    as businessNatureCode           ,businessChannelCode                                   as businessChannelCode          ,left(replace(cladate,'-',''),6)                       as cladate                      ,replace(setdate,'-','')                               as setdate                      ,settledamount                                         as settledamount                ,lossamout                                             as lossamout                    ,'yj'                                                  as flag                         ,claimno                                               as claimno                      ,`no`                                                  as `no`                         ,proctime                                              as proctime

    from ZB_ODS.ZB_SOURCE_KAFKA_YJPK.YJPK_0X0OTORQ9P7
    union all
    select
         businessOffice                                        as businessOffice               ,productCode                                           as productCode                  ,businessNatureCode                                    as businessNatureCode           ,businessChannelCode                                   as businessChannelCode          ,left(replace(cladate,'-',''),6)                       as cladate                      ,replace(setdate,'-','')                               as setdate                      ,settledamount                                         as settledamount                ,lossamout                                             as lossamout                    ,flag                                                  as flag                         ,claimno                                               as claimno                      ,`no`                                                  as `no`                         ,proctime                                              as proctime
    from ZB_ODS.ZB_SOURCE_KAFKA_WJPK.WJPK_0X0OTORQ9P7
) s1
left join ZB_ODS.ZB_ODS_MYSQL.CD_COM_ALL_0X0OTORQ9P7 for system_time as of s1.proctime as t1 on s1.businessOffice = t1.COMCODE
left join ZB_ODS.ZB_ODS_MYSQL.CD_NEWCHNLTYPE_0X0OTORQ9P7 for system_time as of s1.proctime as t2 on s1.businessChannelCode = t2.NEWCHNLTYPE
left join ZB_ODS.ZB_ODS_MYSQL.CD_REALTIME_RISK_0X0OTORQ9P7 for system_time as of s1.proctime as t3 on s1.productCode = t3.RISKCODE
left join ZB_ODS.ZB_ODS_MYSQL.CD_BUSINESSNATURE_0X0OTORQ9P7 for system_time as of s1.proctime as t4 on s1.businessNatureCode = t4.CODE;

